#include <bits/stdc++.h>
using namespace std;
int n, MIN, brD, brL;
bool istiMIN;
int niz[200005];

int main() {
    cin >> n;

    for(int i = 1; i <= n; i++){
        cin >> niz[i];
        if(niz[i] < 0)
            brL++;
        if(niz[i] > 0)
            brD++;
    }

    if(brL == 0){
        for(int i = 1; i <= n; i++)
            if(niz[i] > 0 && niz[i] > MIN)
                MIN = niz[i];
        if(MIN == 1)
            cout << 1 <<'\n' << 1 <<'\n';
        else{
            cout << n <<'\n';
            for(int i = 1; i <= n; i++){
                if(i == n)
                    cout << 1;
                else
                    cout << 1 << 2;
            }
        }
    }

    if(brD == 0 && brL > 0){
        cout << n <<'\n';
        for(int i = 1; i <= n; i++){
            if(i == n)
                cout << 1;
            else
                cout << 1 << 3;
        }
    }

    if(n <= 10 && brD == 0 && brL == 0){
        MIN = 200005;
        for(int i = 1; i <= n; i++){
            if(niz[i] < MIN)
                MIN = niz[i];
        }
        for(int i = 1; i <= n; i++)
            if(MIN == niz[i] || -MIN == niz[i])
                istiMIN = true;

        if(istiMIN && MIN == -1){
            cout << 1 <<'\n';
            cout << 1 <<'\n';
        }
        else{
            cout << n <<'\n';
            for(int i = 1; i <= n; i++){
                if(niz[i] < 0)
                    cout << 2;
                if(niz[i] > 0)
                    cout << 1;
            }
        }
    }

    return 0;}